Bug 473985 - "oocalc this-is-a-dir" finishes immediately
"oocalc this-is-a-dir" finishes immediately
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: David Tardon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-01 13:02 EST by Horst H. von Brand
Modified: 2009-05-01 06:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-01 06:50:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 101274 None None None Never

  None (edit)
Description Horst H. von Brand 2008-12-01 13:02:08 EST
Description of problem:
I wanted to create a spreadsheet with the name of an existing directory, and did the above. oocalc finished immediately, no error message or anything. If doing the same with a random file, it opens them as CSV formated (even if it makes no sense).

Version-Release number of selected component (if applicable):
openoffice.org-calc-3.0.0-9.11.fc11.x86_64

How reproducible:
Always

Steps to Reproduce:
1. mkdir somedir
2. oocalc somedir
3.
  
Actual results:
oocalc finishes immediately

Expected results:
An error message about wrong input? Create somedir.ods by default? Open an unnamed spreadsheet and tell user something is amiss?

Additional info:
Comment 1 Caolan McNamara 2008-12-01 18:06:27 EST
caolanm->dtardon: want to take this one. Should be straight-forward. i.e.

oocalc /tmp/not-exist.ods gives "not-exist.ods does not exist"

so some similar error on trying to open a dir might be a good idea, and while we're at it see 

touch /tmp/not-there
oocalc /tmp/not-there

I get a crash, that should also be straight-forward to resolve and a good thing to do.
Comment 2 Horst H. von Brand 2008-12-08 13:38:37 EST
Now openoffice.org-calc-3.0.1-12.3.fc11.1.x86_64

"oocalc /tmp/not-there.ods gives "/tmp/not-there.ods does not exist", but twice.

"oocalc /tmp/empty" opens a dialog for opening a text file, and then opens an empty spreadsheet. This is fixed.

"oocalc /tmp" still exits immediately.
Comment 3 Horst H. von Brand 2008-12-12 12:11:01 EST
openoffice.org-calc-3.0.1-13.2.fc11.x86_64, still as in #2
Comment 4 Caolan McNamara 2009-04-17 18:27:22 EDT
Any progress on this ? Feasible to fix, or impractically difficult ?
Comment 5 David Tardon 2009-04-22 09:55:52 EDT
Fix committed to F-11 and Rawhide. Will be in 3.1.0-10.3 .
Comment 6 Caolan McNamara 2009-05-01 06:50:16 EDT
I get "not a file" on it, good enough.

Note You need to log in before you can comment on or make changes to this bug.